Updating revs

This commit is contained in:
WolverinDEV 2020-02-09 00:17:15 +01:00
parent 6775d0d9e5
commit e7787d3eb3
6 changed files with 51 additions and 6 deletions

@ -1 +1 @@
Subproject commit 4e3b4489a7031067fbceaf1813c00e5f23658383
Subproject commit c212df42345816ea0e73cd466718f75d9926c4a2

@ -1 +0,0 @@
Subproject commit 0b83e74e2df4b084d256ea3cea0be64e01ef6da3

@ -1 +1 @@
Subproject commit e1b135f17de008fd1f5c036f153a5be9032a917d
Subproject commit d858eb8b3aec7f9d2e9d308d0564a8a267710f64

37
third_party/build.sh vendored
View File

@ -4,11 +4,24 @@
cd $(dirname $0)
export build_helper_file="../build-helpers/build_helper.sh"
build_helper_scripts="../build-helpers/libraries"
source ${build_helper_file}
[[ $build_helpers_defined -ne 1 ]] && {
echo "Failed to include build helpers."
exit 1
}
[[ -z "${build_os_type}" ]] && {
echo "Missing build os type. Using \"linux\""
export build_os_type="linux"
}
[[ -z "${build_os_arch}" ]] && {
echo "Missing build os arch. Using \"amd64\""
export build_os_arch="amd64"
}
begin_task "build_third_party" "Building libraries"
function exec_script() {
@ -28,6 +41,26 @@ function exec_script() {
echo ""
}
function exec_script_external() {
name=$(echo "$1" | sed -n -E 's:^build_(.*)\.sh:\1:p')
begin_task "build_$name" "Building $name"
echo -e "Building library with script $color_green${1}$color_normal"
_prefix="library_path=\"$2\" ${*:3}"
eval $_prefix ./${build_helper_scripts}/"${1}"
code=$?
if [[ $code -ne 0 ]]; then
echo "Failed to build library $name. Status code: $code"
exit 1
fi
#Log the result
end_task "build_$name" "Finished $name"
echo ""
}
exec_script build_boringssl.sh
[[ ${build_os_type} != "win32" ]] && exec_script build_breakpad.sh #Not required for windows TeaClient
exec_script build_libevent.sh
@ -39,8 +72,8 @@ exec_script build_jsoncpp.sh
exec_script build_opus.sh
exec_script build_libfvad.sh
exec_script build_soxr.sh
exec_script build_portaudio.sh
exec_script build_protobuf.sh
#exec_script build_portaudio.sh
exec_script_external build_protobuf.sh protobuf
exec_script build_unbound.sh
exec_script build_spdlog.sh
exec_script build_stringvariable.sh

View File

@ -61,7 +61,8 @@ if [[ ${build_os_type} == "linux" ]]; then
check_err_exit ${library_path} "Failed to build!"
#make install
elif [[ ${build_os_type} == "win32" ]]; then
cmake ../../ -G"Visual Studio 14 2015 Win64" -DOPENSSL_NO_ASM=ON -DCMAKE_BUILD_TYPE=Release -DCMAKE_INSTALL_PREFIX=. -DCMAKE_MSVC_RUNTIME_LIBRARY="MultiThreaded"
# cmake ../../ -G"Visual Studio 14 2015 Win64" -DOPENSSL_NO_ASM=ON -DCMAKE_BUILD_TYPE=Release -DCMAKE_INSTALL_PREFIX=. -DCMAKE_MSVC_RUNTIME_LIBRARY="MultiThreaded"
cmake ../../ ${build_cmake_generator} -DOPENSSL_NO_ASM=ON -DCMAKE_BUILD_TYPE=Release -DCMAKE_INSTALL_PREFIX=. -DCMAKE_MSVC_RUNTIME_LIBRARY="MultiThreaded"
check_err_exit ${library_path} "Failed generate build files!"
cmake --build . --target crypto --config release -j 8

12
try_build.sh Normal file
View File

@ -0,0 +1,12 @@
#!/bin/bash
#'/c/Program Files (x86)/Microsoft Visual Studio/2019/Community/Common7/Tools/VsDevCmd.bat' -arch=amd64 -host_arch=amd64
export build_os_type=win32
export build_os_arch=amd64
export build_cmake_generator="-Ax64"
./third_party/build.sh || exit 1
./build_shared.sh
./build_client.sh